;;;; cl-scopes/test/test-config

;;;; Tests for the scopes/config functionality.

(defpackage :scopes/test-config
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config) 
                    (:t :scopes/testing))
  (:export #:run)
  (:import-from :scopes/testing #:deftest #:==))

(in-package :scopes/test-config)

(defclass config (config:base) 
  ((override-keys :initform '(user password) :reader override-keys
                  :allocation :class)))

(defun run ()
  (let ((t:*test-suite* (t:test-suite "config")))
    (test-make-path)
    (t:show-result)))

(t:deftest test-make-path ())
